Bug 474305 - gnome-display-properties does not expand desktop correctly when enabling second monitor with Intel 945 graphics
gnome-display-properties does not expand desktop correctly when enabling seco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 03:18 EST by Anthony Horton
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:06:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (1.09 MB, text/plain)
2008-12-03 03:20 EST, Anthony Horton
no flags Details

  None (edit)
Description Anthony Horton 2008-12-03 03:18:19 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

When I use gnome-display-properties to enable a 1680x1050 pixel external monitor together with my Eee PC 901's 1064x600 pixel internal display as an extended desktop the GNOME desktop ends up confined to the top left 1024x600 region of the external monitor.  The rest of the external monitor and the internal monitor are black.  The mouse cursor can be moved over the full extent of both monitors however windows, the panel(s) and the desktop background are limited to the small region in the upper left.

The graphics hardware is Intel 945GME Express (GMA 950 grahics core), and I'm using the default Fedora 10 setup of no xorg.conf at all.  The X.org driver in used is the 'intel' one.  Compiz is enabled.  I've attached my Xorg.0.log.

Reproducible: Always

Steps to Reproduce:
1. Run System->Preferences->Hardware->Screen Resolution.
2. Select a position and resolution for the external monitor.
3. Click 'Apply' to enable the external monitor

Actual Results:  
The GNOME desktop is confined to the top left 1024x600 pixel region of the external monitor.

Expected Results:  
The GNOME desktop spans the full 1680x1050 extent of the external monitor plus the 1024x600 pixels of the internal display.

If the second monitor is enabled using xrandr at the command line instead of using gnome-display-properties the GNOME desktop does expand correctly to use the full extent of both monitors (e.g. 'xrandr --output VGA --auto --above LVDS' works fine).
Comment 1 Anthony Horton 2008-12-03 03:20:52 EST
Created attachment 325497 [details]
Xorg.0.log
Comment 2 Bug Zapper 2009-11-18 05:17:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:06:56 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.